Name:		quimup
Version:	2.1.1
Release:	%mkrel 1
Summary:	A client for the music player daemon (MPD)
License:	GPLv2+
Group:		Sound/Players
Url:		https://sourceforge.net/projects/quimup/
Source0:	https://sourceforge.net/projects/quimup/files/Quimup-%{version}.source.tar.gz
Patch0:		quimup-2.1.1-use-system-qtsingleapplication.patch
Patch1:		quimup-2.1.0-mga-install.patch
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	pkgconfig(taglib) >= 1.11
BuildRequires:	qtsingleapplication-qt6-devel

Requires:	mpd

%description
QUIMUP is a client for the music player daemon (MPD) written in C++ and QT.

The program can be used with most Linux desktops (KDE, GNOME, XFCE) and is
covered by the General Public License: it is free and 'open source'.
The clean interface makes controlling MPD's many features easy and intuitive.
The focus is on mouse handling: playlist management is done entirely by
drag-&-drop; playback functions are directly accessible from the system tray.
Quimup turns MPD into a perfect desktop music player.

%prep
%autosetup -p1 -n Quimup-%{version}.source

%build
%qmake_qt6 %{name}.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc changelog description faq readme
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Thu May 29 2025 daviddavid <daviddavid> 2.1.1-1.mga10
+ Revision: 2186942
- new version: 2.1.1

* Fri Oct 04 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2103250
- new version: 2.1.0
- switch to Qt6
- rebuild for new taglib 2.0.2

* Tue Apr 05 2022 umeabot <umeabot> 1.4.4-5.mga9
+ Revision: 1844346
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.4.4-4.mga8
+ Revision: 1659717
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.4.4-3.mga8
+ Revision: 1525020
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 1.4.4-2.mga7
+ Revision: 1384615
- Qt5 Rebuild

* Tue Dec 18 2018 daviddavid <daviddavid> 1.4.4-1.mga7
+ Revision: 1342596
- new version: 1.4.4

* Sun Sep 23 2018 umeabot <umeabot> 1.4.3-3.mga7
+ Revision: 1300755
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 wally <wally> 1.4.3-2.mga7
+ Revision: 1200516
- improve str fmt patch a bit

* Sun Feb 11 2018 daviddavid <daviddavid> 1.4.3-1.mga7
+ Revision: 1200511
- add a patch to fix format not a string literal (thanks to wally)
- new version: 1.4.3

* Tue May 17 2016 daviddavid <daviddavid> 1.4.2-1.mga6
+ Revision: 1016580
- initial package quimup

